Bug 1419699 (CVE-2017-5898) - CVE-2017-5898 Qemu: usb: integer overflow in emulated_apdu_from_guest
Summary: CVE-2017-5898 Qemu: usb: integer overflow in emulated_apdu_from_guest
Status: NEW
Alias: CVE-2017-5898
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170203,repor...
Keywords: Security
Depends On: 1419700 1419818 1419819
Blocks: 1400913
TreeView+ depends on / blocked
 
Reported: 2017-02-06 19:28 UTC by Prasad J Pandit
Modified: 2018-07-18 15:14 UTC (History)
45 users (show)

Fixed In Version: qemu 2.9
Doc Type: Bug Fix
Doc Text:
An integer overflow flaw was found in Quick Emulator (QEMU) in the CCID Card device support. The flaw could occur while passing messages via command/response packets to and from the host. A privileged user inside a guest could use this flaw to crash the QEMU process.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1856 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2017-08-01 18:03:36 UTC
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC

Description Prasad J Pandit 2017-02-06 19:28:41 UTC
Quick Emulator(Qemu) built with the CCID Card device emulator support
is vulnerable to an integer overflow flaw. It could occur while passing
message via command/responses packets to and from the host.

A privileged user inside guest could use this flaw to crash the Qemu process
on host resulting in DoS.

Upstream patch:
---------------
  -> https://lists.nongnu.org/archive/html/qemu-devel/2017-02/msg01075.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/02/07/3

Comment 1 Prasad J Pandit 2017-02-06 19:29:17 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2017-02-06 19:30:23 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1419700]

Comment 14 errata-xmlrpc 2017-08-01 17:52:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1856 https://access.redhat.com/errata/RHSA-2017:1856

Comment 15 errata-xmlrpc 2017-08-02 04:48:45 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2392 https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.